<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>Chapter 8. Comments</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="Antelope Users Guide"><link rel="up" href="bk02.html" title="Ant Coding Style Guidelines"><link rel="prev" href="bk02ch07.html" title="Chapter 7. Tasks"><link rel="next" href="bk02ch09.html" title="Chapter 9. Example Build File"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 8. Comments</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="bk02ch07.html">Prev</a> </td><th width="60%" align="center">Ant Coding Style Guidelines</th><td width="20%" align="right"> <a accesskey="n" href="bk02ch09.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2546680"></a>Chapter 8. Comments</h2></div></div></div><p>
More is better! In particular, write comments for the intended use of properties and targets. The build file itself will tell what is happening, the comments should explain why.
</p><p>
For target comments, use a block comment similar to this example:
</p><p>
</p><pre class="programlisting">

&lt;!-- ==================== Dist Target ================================ 

    The "dist" target creates a binary distribution of the application
    in a directory structure ready to be archived in a tar.gz or zip file.
    This target depends on two others:

    * "compile" so that the entire web application (including external
      dependencies) will have been assembled

    * "javadoc" so that the application Javadocs will have been created

    ================================================================== --&gt;

</pre><p>
</p><p>
Place target comments immediately above the target element, with a single blank line between the end of the comment and the start of the target.
</p><p>
For other comments, such as for properties or within a target, use the standard xml single line comment like this:
</p><p>
</p><pre class="programlisting">

&lt;!-- this is a comment --&gt;

</pre><p>
</p><p>
If a comment is longer than a single line, wrap it and indent the second and subsequent lines 4 spaces, for example:
</p><p>
</p><pre class="programlisting">

&lt;!-- Put everything in ${build} into the MyProject-${DSTAMP}.jar file,
    then copy it and the source jar to the ${dist} directory so 
    everything will be ready for moving to the ftp server. --&gt;

</pre><p>
</p><p>
Do not put a blank line between a single line comment and the element it is describing, for example:
</p><p>
</p><pre class="programlisting">

    &lt;!-- this is where the api documents live --&gt;
    &lt;property name="api_docs" value="${docs_home}/api"/&gt;

</pre><p>
</p></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="bk02ch07.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="bk02.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="bk02ch09.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 7. Tasks </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Chapter 9. Example Build File</td></tr></table></div></body></html>
